## freeciv 3.0.6

=== windows/installer_msys2/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# See doc/README.msys2 for building instructions.
#

#
# Variable setup
#

WINARCH=$(shell ./win_arch.sh)

ifeq ($(WINARCH),win64)
ARCHDIR=mingw64
LIBGCCDLL=libgcc_s_seh-1.dll
GCCDLL=gcc_s-seh-1.dll
CRYPTOLIB_SUFFIX=-x64
else
ARCHDIR=mingw32
LIBGCCDLL=libgcc_s_dw2-1.dll
GCCDLL=gcc_s-1.dll
CRYPTOLIB_SUFFIX=
endif

ifeq ($(MIN_WIN_VER),)
MIN_WIN_VER=0x0601
endif

ifeq ($(MAKE_PARAMS),)
MAKE_PARAMS="-j$(shell nproc)"
endif

ICUVER=69
MAGICKVER=7.Q16HDRI-10

INSTSUB=${ARCHDIR}

# msys2 has dlls in...
DLLPATH_PREFIX=/$(ARCHDIR)/bin/

#
# Make rules
#

# by default build all installers except gtk2-installer.
all: gtk3.22-installer sdl2-installer ruledit-installer qt-installer

gtk3.22-installer:
	make GUI=gtk3.22 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3.22

gtk2-installer:
	make GUI=gtk2 FCMP=gtk2 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk2

sdl2-installer:
	make GUI=sdl2 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-sdl2

qt-installer:
	make GUI=qt FCMP=qt EXTRA_CONFIG="--with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)" wrap-qt

ruledit-installer:
	# EXTRA_CONFIG="$(EXTRA_CONFIG)" *does* make a difference - it unwraps one layer
	# of escapes, needed for snapshot builds.
	make EXTRA_CONFIG="$(EXTRA_CONFIG)" wrap-ruledit

# Autogen.sh here will make ./win_arch.sh to work.
# The $(WINARCH) value we got for this run is not good. The new run
# launched from this target will pick correct value.
snapshot:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev CFLAGS=\\\"-Werror $$CFLAGS\\\"" all


# configure Freeciv

configure-freeciv-common:
	# create build directory
	mkdir -p build-$(WINARCH)-$(GUI)
	# configure
	cd build-$(WINARCH)-$(GUI); ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="windows" --with-tinycthread --without-readline --disable-sys-lua --enable-fcdb=sqlite3 --with-sqlite3-prefix=/$(ARCHDIR) --enable-fcmp=$(FCMP) --with-cacert-path="./ssl/certs/ca-bundle.crt" $(EXTRA_CONFIG)

configure-freeciv-ruledit:
	# create build directory
	mkdir -p build-$(WINARCH)-ruledit
	# configure
	cd build-$(WINARCH)-ruledit; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --disable-sys-lua --enable-ruledit --enable-ai-static=stub --with-cacert-path="./ssl/certs/ca-bundle.crt" --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)

# install Freeciv

install-freeciv-common: configure-freeciv-common
	# make .gmo and langstat files. For the former, this needs to be before 'make install'
	make -C build-$(WINARCH)-$(GUI)/translations/core update-po
	make -C build-$(WINARCH)-$(GUI)/bootstrap langstat_core.txt
	# Restore .po files modified by the above update-po, so that repository does not
	# appear modified, in case of --enable-gitrev
	./cleanup_checkout.sh ../..
	# make install
	make -C build-$(WINARCH)-$(GUI) DESTDIR=`pwd`/install-$(WINARCH)-$(GUI) $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/bin/* install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/etc install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/freeciv install-$(WINARCH)-$(GUI)/data
	mkdir -p install-$(WINARCH)-$(GUI)/share
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/locale install-$(WINARCH)-$(GUI)/share/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/doc install-$(WINARCH)-$(GUI)/doc
	mkdir -p install-$(WINARCH)-$(GUI)/debuginfo
	cp build-$(WINARCH)-$(GUI)/gen_headers/fc_config.h install-$(WINARCH)-$(GUI)/debuginfo
	mkdir -p install-$(WINARCH)-$(GUI)/doc/freeciv/installer
	cat licenses/header.txt ../../COPYING > install-$(WINARCH)-$(GUI)/doc/freeciv/installer/COPYING.installer
	# delete unneeded files
	rm -r install-$(WINARCH)-$(GUI)/$(INSTSUB)
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(WINARCH)-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(WINARCH)-$(GUI)/

install-freeciv-gtk3.22: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl2: install-freeciv-common

install-freeciv-qt: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(WINARCH)-$(GUI)/

install-ruledit-dir:
	mkdir -p install-$(WINARCH)-ruledit/share

install-ruledit: configure-freeciv-ruledit install-ruledit-dir
	# make .gmo and langstat files. For the former, this needs to be before 'make install'
	make -C build-$(WINARCH)-ruledit/translations/ruledit update-po
	make -C build-$(WINARCH)-ruledit/bootstrap langstat_ruledit.txt
	# Restore .po files modified by the above update-po, so that repository does not
	# appear modified, in case of --enable-gitrev
	./cleanup_checkout.sh ../..
	# make install
	make -C build-$(WINARCH)-ruledit DESTDIR=`pwd`/install-$(WINARCH)-ruledit/ $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/bin/* install-$(WINARCH)-ruledit/
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/freeciv install-$(WINARCH)-ruledit/data
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/locale install-$(WINARCH)-ruledit/share/
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/doc install-$(WINARCH)-ruledit/doc
	mkdir -p install-$(WINARCH)-ruledit/debuginfo
	cp build-$(WINARCH)-ruledit/gen_headers/fc_config.h install-$(WINARCH)-ruledit/debuginfo
	mkdir -p install-$(WINARCH)-ruledit/doc/freeciv/installer
	cat licenses/header.txt ../../COPYING > install-$(WINARCH)-ruledit/doc/freeciv/installer/COPYING.installer
	# delete unneeded files
	rm -r install-$(WINARCH)-ruledit/$(INSTSUB)
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-ruledit/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-$(WINARCH)-ruledit/

# install Freeciv environment

SOUND_DLLS := \
	SDL2.dll \
	SDL2_mixer.dll \
	libFLAC.dll \
	libfluidsynth-3.dll \
	libmodplug-1.dll \
	libvorbis-0.dll \
	libvorbisenc-2.dll \
	libvorbisfile-3.dll \
	libogg-0.dll \
	libportaudio.dll \
	libsndfile-1.dll \
	libmpg123-0.dll \
	libopusfile-0.dll \
	libopus-0.dll

COMMON_DLLS := \
	libstdc++-6.dll \
	libcrypto-1_1${CRYPTOLIB_SUFFIX}.dll \
	libpsl-5.dll \
	libssl-1_1${CRYPTOLIB_SUFFIX}.dll \
	libidn2-0.dll \
	libnghttp2-14.dll \
	libssh2-1.dll \
	libcurl-4.dll \
	libgmp-10.dll \
	libp11-kit-0.dll \
	libtasn1-6.dll \
	libatk-1.0-0.dll \
	libbz2-1.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libffi-7.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	$(LIBGCCDLL) \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libfribidi-0.dll \
	libpixman-1-0.dll \
	libpng16-16.dll \
	libxml2-2.dll \
	zlib1.dll \
	libwinpthread-1.dll \
	libicuuc${ICUVER}.dll \
	libicudt${ICUVER}.dll \
	libsqlite3-0.dll \
	exchndl.dll \
	mgwhelp.dll \
	libbrotlidec.dll \
	libbrotlicommon.dll \
	libreadline8.dll \
	libtermcap-0.dll \
	libssp-0.dll \
	libzstd.dll \
	libMagickWand-${MAGICKVER}.dll \
	libMagickCore-${MAGICKVER}.dll \
	libgomp-1.dll \
	libfftw3-3.dll \
	liblcms2-2.dll \
	liblqr-1-0.dll \
	libltdl-7.dll \
	libraqm-0.dll \
	libexpat-1.dll \
	$(SOUND_DLLS)

install-env-common:
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(COMMON_DLLS)) install-$(WINARCH)-$(GUI)/
	mkdir -p install-$(WINARCH)-$(GUI)/ssl/certs
	cp -R /$(ARCHDIR)/ssl/certs/ca-bundle.crt install-$(WINARCH)-$(GUI)/ssl/certs/

DEFAULT_FCMP_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll \
	libharfbuzz-0.dll \
	libepoxy-0.dll \
	libgraphite2.dll \
	libpangoft2-1.0-0.dll \
	libthai-0.dll \
	libdatrie-1.dll \
	libpcre-1.dll \
	libunistring-2.dll \
	librsvg-2-2.dll

install-env-default-fcmp: install-env-common
	cp -R $(addprefix $(DLLPATH_PREFIX), $(DEFAULT_FCMP_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional GTK+3 files
	mkdir -p install-$(WINARCH)-$(GUI)/etc
	cp -R /$(ARCHDIR)/etc/gtk-3.0 install-$(WINARCH)-$(GUI)/etc/
	mkdir -p install-$(WINARCH)-$(GUI)/share/icons
	cp -R /$(ARCHDIR)/share/icons/Adwaita install-$(WINARCH)-$(GUI)/share/icons/
	mkdir -p install-$(WINARCH)-$(GUI)/share/glib-2.0/schemas
	cp /$(ARCHDIR)/share/glib-2.0/schemas/gschemas.compiled install-$(WINARCH)-$(GUI)/share/glib-2.0/schemas/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gtk-3.0/
	cp -R /$(ARCHDIR)/lib/gtk-3.0/* install-$(WINARCH)-$(GUI)/lib/gtk-3.0/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gdk-pixbuf-2.0/
	cp -R /$(ARCHDIR)/lib/gdk-pixbuf-2.0/* install-$(WINARCH)-$(GUI)/lib/gdk-pixbuf-2.0/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv-*.mo" -and -not -name gtk30.mo -delete

install-env-gtk3.22: install-env-default-fcmp

GTK2_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll \
	libexpat-1.dll \
	libharfbuzz-0.dll \
	libpangoft2-1.0-0.dll \
	libpcre-1.dll

install-env-gtk2: install-env-common
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(GTK2_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional GTK+2 files
	mkdir -p install-$(WINARCH)-$(GUI)/etc
	cp -R /$(ARCHDIR)/etc/gtk-2.0 install-$(WINARCH)-$(GUI)/etc/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gtk-2.0/
	cp -R /$(ARCHDIR)/lib/gtk-2.0/2.10.0 install-$(WINARCH)-$(GUI)/lib/gtk-2.0/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv-*.mo" -and -not -name gtk20.mo -delete

SDL2_DLLS := \
	libSDL2_gfx-1-0-0.dll \
	SDL2_image.dll \
	SDL2_ttf.dll \
	libjpeg-8.dll \
	libtiff-5.dll \
	libwebp-7.dll \
	libzstd.dll \
	libdeflate.dll \
	libjbig-0.dll \
	libLerc.dll

install-env-sdl2: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(SDL2_DLLS)) install-$(WINARCH)-$(GUI)/

QT_DLLS := \
	libicuin${ICUVER}.dll \
	libicuuc${ICUVER}.dll \
	libicudt${ICUVER}.dll \
	libpcre16-0.dll \
	libharfbuzz-0.dll \
	libsqlite3-0.dll \
	Qt5Core.dll \
	Qt5Gui.dll \
	Qt5Widgets.dll \
	libgraphite2.dll \
	libpcre-1.dll \
	libpcre2-16-0.dll \
	libunistring-2.dll \
	libbrotlidec.dll \
	libbrotlicommon.dll \
	libdouble-conversion.dll \
	libzstd.dll \
	libmd4c.dll

install-env-qt: install-env-common
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(QT_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional Qt files
	cp -R /$(ARCHDIR)/share/qt5/plugins install-$(WINARCH)-$(GUI)/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv-*.mo" -delete

RULEDIT_DLLS := \
        libstdc++-6.dll \
	libcrypto-1_1${CRYPTOLIB_SUFFIX}.dll \
	libpsl-5.dll \
	libssl-1_1${CRYPTOLIB_SUFFIX}.dll \
	libidn2-0.dll \
	libnghttp2-14.dll \
	libssh2-1.dll \
	libcurl-4.dll \
	libgmp-10.dll \
	libp11-kit-0.dll \
	libtasn1-6.dll \
	libatk-1.0-0.dll \
	libbz2-1.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libffi-7.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	$(LIBGCCDLL) \
	libglib-2.0-0.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libiconv-2.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng16-16.dll \
	libxml2-2.dll \
	zlib1.dll \
	libwinpthread-1.dll \
	libgraphite2.dll \
	libpcre-1.dll \
	libdouble-conversion.dll \
	libzstd.dll \
	libMagickWand-${MAGICKVER}.dll \
	libMagickCore-${MAGICKVER}.dll \
	libgomp-1.dll \
	libfftw3-3.dll \
	liblcms2-2.dll \
	liblqr-1-0.dll \
	libltdl-7.dll \
	libraqm-0.dll \
	libexpat-1.dll \

=== debian/changelog ===
freeciv (3.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V to 4.6.2 -- no changes required.
  * Add upstream metadata.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Feb 2023 09:35:59 +0100

freeciv (3.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Dec 2022 18:01:04 +0100

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Markus Koschany <apo@debian.org>,
 Tobias Frost <tobi@debian.org>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.freeciv.org/
Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
Vcs-Browser: https://salsa.debian.org/games-team/freeciv
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.3-dev,
 liblzma-dev,
 libreadline-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev,
 libsdl2-mixer-dev,
 libsdl2-gfx-dev,
 libsqlite3-dev,
 libtolua-dev,
 qtbase5-dev,
 qtbase5-dev-tools,
 zlib1g-dev

Package: freeciv
Architecture: all
Multi-Arch: foreign
Depends:
 freeciv-client-gtk3,
 freeciv-data (= ${source:Version}),
 ${misc:Depends}
Description: Civilization turn based strategy game
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This metapackage will install the recommended client to play Freeciv.

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
 select and download custom rulesets and tilesets for the game.

# This package can be removed after bookworm has been released.
Package: freeciv-client-gtk
Section: oldlibs
Architecture: any
Depends:
 freeciv (>= ${source:Version}), ${misc:Depends}, freeciv-data
Description: Civilization turn based strategy game (GTK 2 client transitional package)
 This is a transitional package. It can safely be removed.
 .
 As the GTK2 Freeciv client has been removed, this package will pull in
 the default Freeciv client.

Package: freeciv-client-gtk3
Provides: freeciv-client (= ${binary:Version})
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
Description: Civilization turn based strategy game (GTK 3 client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 3 version of Freeciv. It is the most sophisticated and
 recommended client to play the game.

Package: freeciv-client-qt
Provides: freeciv-client (= ${binary:Version})
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
Description: Civilization turn based strategy game (Qt client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Qt version of Freeciv.

Package: freeciv-client-sdl
Provides: freeciv-client (= ${binary:Version})
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-noto-cjk,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk3« package and to use the
 GTK 3 client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK 3 client.

Package: freeciv-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks: freeciv-sound-standard (<< 2.6.6-2)
Replaces: freeciv-sound-standard (<< 2.6.6-2)
Description: Civilization turn based strategy game (data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data and sound files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-ruleset-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server
Suggests:
 freeciv
Description: Civilization turn based strategy game (ruleset tools)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 The package contains tools to update and edit rulesets.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=gtk3.22,sdl2,qt \
		--enable-fcmp=gtk3 \
		--disable-silent-rules \
		--enable-fcdb=sqlite3 \
		--disable-freeciv-manual \
		--with-missinglist \
		--enable-sys-lua=yes

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS

execute_after_dh_install:
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/*.ttf
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/COPYING.*

execute_before_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	rm -rf debian/freeciv/usr/share/doc/freeciv
	rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	rm -rf debian/freeciv-client-gtk3/usr/share/doc/freeciv-client-gtk3
	rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
	rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a|graphics-materials)[\-\.]?\d*)$/$1~$2/,\
 https://files.freeciv.org/stable/freeciv-(\d.*)\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## freeciv 3.0.8

=== debian/changelog ===
freeciv (3.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Add gtk4 mp client manpage to not-installed.
  * replace symlinks to docs, as Arch:all <-> Arch:any symlinks violate policy.
    (Closes: #1018764)

 -- Tobias Frost <tobi@debian.org>  Mon, 17 Jul 2023 18:19:27 +0200

## freeciv 3.1.0+ds

=== meson_options.txt ===
option('ack_experimental',
       type: 'boolean',
       value: false,
       description: 'User acknowledges experimental build')

option('clients',
       type: 'array',
       choices: ['gtk3.22','sdl2', 'qt', 'gtk4'],
       value: ['gtk3.22'],
       description: 'Clients to build')

option('fcmp',
       type: 'array',
       choices: ['gtk3','qt','cli','gtk4'],
       value: ['gtk3'],
       description: 'Modpack installer UIs to build')

option('cacert-path',
       type: 'string',
       value: '',
       description: 'Custom path to CA cert bundle')

option('followtag',
       type: 'string',
       value: '',
       description: 'Custom followtag')

option('json-protocol',
       type: 'boolean',
       value: false,
       description: 'Build in json-protocol support')

option('syslua',
       type: 'combo',
       choices: ['try', 'true', 'false'],
       description: 'Use lua from system')

option('sys-tolua-cmd',
       type: 'boolean',
       value: false,
       description: 'Use tolua cmd from the system even for native builds')

option('mwand',
       type: 'combo',
       choices: ['try', 'true', 'false'],
       description: 'Build MagickWand support to mapimg')

option('readline',
       type: 'combo',
       choices: ['try', 'true', 'false'],
       description: 'Enable readline functionality')

option('audio',
       type: 'boolean',
       value: true,
       description: 'Build in sound support')

option('ruledit',
       type: 'boolean',
       value: false,
       description: 'Build ruleset editor')

option('nls',
       type: 'boolean',
       value: true,
       description: 'Native Language Support')

option('gitrev',
       type: 'boolean',
       value: false,
       description: 'Include git commit id to the version string')

option('server',
       type: 'combo',
       choices: ['disabled', 'enabled', 'freeciv-web' ],
       value: 'enabled',
       description: 'What kind of server should be build, if any')

option('qtver',
       type: 'combo',
       choices: ['qt5', 'qt6'],
       value: 'qt6',
       description: 'Whether to build Qt5 or Qt6 versions of the binaries')

option('min-win-ver',
       type: 'string',
       value: '',
       description: 'Minimum Windows version to support')

option('localeprefix',
       type: 'string',
       value: '',
       description: 'Localedir prefix to use instead of regular prefix')

=== debian/changelog ===
freeciv (3.1.0+ds-1build5) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 15:04:12 +0100

freeciv (3.1.0+ds-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:19:38 +0000

freeciv (3.1.0+ds-1build3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:53:56 +0000

freeciv (3.1.0+ds-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:25:47 +0000

freeciv (3.1.0+ds-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:36:35 +0000

freeciv (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version 3.1.0+ds
    - Refresh patches.
    - Remove patch-1056916.patch, applied upstream.
  * Prepare for new upstream version:
    - Update d/watch to version 4 and prepare for +ds suffix, as we will
      repack.
    - d/copyright: Use Files-Excluded to strip lua from upstream tarball.
  * Update packaging for new upstream version:
    - Remove lua-5.3 from d/clean, we strip lua from the tarball.
    - Upstream now uses lua 5.4, B-D on it and drop B-D on lua-5.3
    - upstream is now using QT 6, so B-D on it instead of QT 5.
    - Drop lua from d/copyright, as we removed it by repacking.
    - Update d/*install to cater some file renames.
  * Drop transitional package freeciv-client-gtk.

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Mar 2024 20:49:31 +0100

freeciv (3.0.8-2) unstable; urgency=medium

  * Fix "freeciv fails to load saved games", applying patch from
    Marco (Closes: #1056916)

 -- Tobias Frost <tobi@debian.org>  Mon, 27 Nov 2023 18:18:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
@@ -18,8 +19,7 @@
  libbz2-dev,
  libcurl4-gnutls-dev,
  libgtk-3-dev,
- libgtk2.0-dev,
- liblua5.3-dev,
+ liblua5.4-dev,
  liblzma-dev,
  libreadline-dev,
  libsdl2-dev,
@@ -29,8 +29,8 @@
  libsdl2-gfx-dev,
  libsqlite3-dev,
  libtolua-dev,
- qtbase5-dev,
- qtbase5-dev-tools,
+ qt6-base-dev,
+ qt6-base-dev-tools,
  zlib1g-dev
 
 Package: freeciv
@@ -60,18 +60,6 @@
  .
  This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
  select and download custom rulesets and tilesets for the game.
-
-# This package can be removed after bookworm has been released.
-Package: freeciv-client-gtk
-Section: oldlibs
-Architecture: any
-Depends:
- freeciv (>= ${source:Version}), ${misc:Depends}, freeciv-data
-Description: Civilization turn based strategy game (GTK 2 client transitional package)
- This is a transitional package. It can safely be removed.
- .
- As the GTK2 Freeciv client has been removed, this package will pull in
- the default Freeciv client.
 
 Package: freeciv-client-gtk3
 Provides: freeciv-client (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -31,14 +31,3 @@
 	# Remove ttf fonts from -data, now provided by dependencies.
 	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/*.ttf
 	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/COPYING.*
-
-execute_before_dh_link:
-	# Remove doc dirs for arch-dependent packages and symlink
-	# to freeciv-data's in dh_link
-	rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
-	rm -rf debian/freeciv/usr/share/doc/freeciv
-	rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
-	rm -rf debian/freeciv-client-gtk3/usr/share/doc/freeciv-client-gtk3
-	rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
-	rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
-	rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras

## freeciv 3.1.1+ds

=== debian/changelog ===
freeciv (3.1.1+ds-1build1) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:32:05 +0200

freeciv (3.1.1+ds-1) unstable; urgency=medium

  * New upstream release 3.1.1.
    - Closes: #1066100.
  * Bump S-V to 4.7.0 - no changes required.

 -- Tobias Frost <tobi@debian.org>  Sat, 27 Apr 2024 08:47:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
  Markus Koschany <apo@debian.org>,
  Tobias Frost <tobi@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git

## freeciv 3.1.2+ds

=== debian/changelog ===
freeciv (3.1.2+ds-2) unstable; urgency=medium

  * Upload to experimental to clear NEW due to new binary package.
  * Provide gtk4-client package (Closes: #1072381)
  * Cherry pick patch from upstream that fixes a crash in the gtk4
    client, see conversation in #1066100 for details.

 -- Tobias Frost <tobi@debian.org>  Mon, 05 Aug 2024 06:52:53 +0200

freeciv (3.1.2+ds-1) unstable; urgency=medium

  * New upstream version 3.1.2+ds

 -- Tobias Frost <tobi@debian.org>  Sat, 03 Aug 2024 16:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libbz2-dev,
  libcurl4-gnutls-dev,
  libgtk-3-dev,
+ libgtk-4-dev,
  liblua5.4-dev,
  liblzma-dev,
  libreadline-dev,
@@ -78,6 +79,24 @@
  .
  This is the GTK 3 version of Freeciv. It is the most sophisticated and
  recommended client to play the game.
+
+Package: freeciv-client-gtk4
+Provides: freeciv-client (= ${binary:Version})
+Architecture: any
+Depends:
+ freeciv-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ freeciv-server (= ${binary:Version})
+Suggests:
+ freeciv-client-extras,
+Description: Civilization turn based strategy game (GTK 4 client)
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This is the GTK 4 version of Freeciv.
 
 Package: freeciv-client-qt
 Provides: freeciv-client (= ${binary:Version})

## freeciv 3.1.4+ds

=== meson_options.txt ===
--- 
+++ 
@@ -76,6 +76,11 @@
        value: 'enabled',
        description: 'What kind of server should be build, if any')
 
+option('appimage',
+       type: 'boolean',
+       value: false,
+       description: 'Make a build suitable for AppImage packaging')
+
 option('qtver',
        type: 'combo',
        choices: ['qt5', 'qt6'],

=== windows/installer_msys2/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# See doc/README.msys2 for building instructions.
#

#
# Variable setup
#

ifeq ($(MSYSTEM),MINGW64)
WINARCH=win64
ARCHDIR=mingw64
LIBGCCDLL=libgcc_s_seh-1.dll
CRYPTOLIB_SUFFIX=-x64
PREF_WIN_VER=0x0603

else ifeq ($(MSYSTEM),MINGW32)
WINARCH=win32
ARCHDIR=mingw32
LIBGCCDLL=libgcc_s_dw2-1.dll
CRYPTOLIB_SUFFIX=
PREF_WIN_VER=0x0603

else ifeq ($(MSYSTEM),UCRT64)
WINARCH=win64-10
ARCHDIR=ucrt64
CRYPTOLIB_SUFFIX=-x64
LIBGCCDLL=libgcc_s_seh-1.dll
PREF_WIN_VER=0x0A00

else ifeq ($(MSYSTEM),CLANG64)
WINARCH=win64+
ARCHDIR=clang64
LIBGCCDLL=
CRYPTOLIB_SUFFIX=-x64
PREF_WIN_VER=0x0A00

else ifeq ($(MSYSTEM),CLANG32)
WINARCH=win32+
ARCHDIR=clang32
LIBGCCDLL=
CRYPTOLIB_SUFFIX=
PREF_WIN_VER=0x0A00

else
error "Unsupported MSYSTEM environment"
endif

ifeq ($(MIN_WIN_VER),)
MIN_WIN_VER=$(PREF_WIN_VER)
endif

ifeq ($(MAKE_PARAMS),)
MAKE_PARAMS="-j$(shell nproc)"
endif

ifeq ($(MOCCMD),)
QT6_MOCCMD="/$(ARCHDIR)/share/qt6/bin/moc.exe"
else
QT6_MOCCMD="$(MOCCMD)"
endif

MAGICKVER=7.Q16HDRI-10
FFIVER=8
ICUVER=72
CRYPTOVERSUF=3${CRYPTOLIB_SUFFIX}

INSTSUB=${ARCHDIR}

# msys2 has dlls in...
DLLPATH_PREFIX=/$(ARCHDIR)/bin/

ifeq ($(CI),yes)
else
endif

#
# Make rules
#

# By default build all installers.
all: all-$(WINARCH)

all-win64: gtk3.22-installer sdl2-installer ruledit-installer-qt5 qt5-installer gtk4-installer

all-win32: gtk3.22-installer sdl2-installer ruledit-installer-qt5 qt5-installer gtk4-installer

all-win64-10: gtk3.22-installer sdl2-installer ruledit-installer qt6-installer gtk4-installer

all-win64+:
	make GUI=gtk3.22 CLIENT=gtk3.22 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" install-freeciv-gtk3.22
	make GUI=gtk4 CLIENT=gtk4 FCMP=gtk4 EXTRA_CONFIG="--disable-ruledit CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" install-freeciv-gtk4
	make GUI=sdl2 CLIENT=sdl2 FCMP=gtk4 EXTRA_CONFIG="--disable-ruledit CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" install-freeciv-sdl2
	make GUI=qt6 CLIENT=qt FCMP=qt EXTRA_CONFIG="--with-qtver=qt6 --with-qt6-includes=/$(ARCHDIR)/include/qt6 --with-qt6-libs=/$(ARCHDIR)/lib CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" MOCCMD="$(QT6_MOCCMD)" install-freeciv-qt6
	make EXTRA_CONFIG="CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" MOCCMD="$(QT6_MOCCMD)" install-ruledit-qt6

all-win32+:
	make GUI=gtk3.22 CLIENT=gtk3.22 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" install-freeciv-gtk3.22
	make GUI=gtk4 CLIENT=gtk4 FCMP=gtk4 EXTRA_CONFIG="--disable-ruledit CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" install-freeciv-gtk4
	make GUI=sdl2 CLIENT=sdl2 FCMP=gtk4 EXTRA_CONFIG="--disable-ruledit CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" install-freeciv-sdl2
	make GUI=qt6 CLIENT=qt FCMP=qt EXTRA_CONFIG="--with-qtver=qt6 --with-qt6-includes=/$(ARCHDIR)/include/qt6 --with-qt6-libs=/$(ARCHDIR)/lib CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" MOCCMD="$(QT6_MOCCMD)" install-freeciv-qt6
	make EXTRA_CONFIG="CFLAGS=\"-Wno-cast-align $$CFLAGS\" $(EXTRA_CONFIG)" MOCCMD="$(QT6_MOCCMD)" install-ruledit-qt6

gtk3.22-installer:
	make GUI=gtk3.22 CLIENT=gtk3.22 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3.22

gtk4-installer:
	make GUI=gtk4 CLIENT=gtk4 FCMP=gtk4 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk4

sdl2-installer:
	make GUI=sdl2 CLIENT=sdl2 FCMP=gtk4 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-sdl2

qt-installer: qt5-installer

qt5-installer:
	make GUI=qt5 CLIENT=qt FCMP=qt EXTRA_CONFIG="--with-qtver=qt5 --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)" wrap-qt5

qt6-installer:
	make GUI=qt6 CLIENT=qt FCMP=qt EXTRA_CONFIG="--with-qtver=qt6 --with-qt6-includes=/$(ARCHDIR)/include/qt6 --with-qt6-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)" MOCCMD="$(QT6_MOCCMD)" wrap-qt6

ruledit-installer: ruledit-installer-qt6

ruledit-installer-qt5:
	# EXTRA_CONFIG="$(EXTRA_CONFIG)" *does* make a difference - it unwraps one layer
	# of escapes, needed for snapshot builds.
	make EXTRA_CONFIG="$(EXTRA_CONFIG)" wrap-ruledit-qt5

ruledit-installer-qt6:
	# EXTRA_CONFIG="$(EXTRA_CONFIG)" *does* make a difference - it unwraps one layer
	# of escapes, needed for snapshot builds.
	make EXTRA_CONFIG="$(EXTRA_CONFIG)" MOCCMD="$(QT6_MOCCMD)" wrap-ruledit-qt6

snapshot:
	cd ../.. ; ./scripts/refresh_changelog.sh ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev CFLAGS=\\\"-Werror $$CFLAGS\\\" CXXFLAGS=\\\"$$CXXFLAGS\\\"" all

ci:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" CI=yes EXTRA_CONFIG="--enable-gitrev CFLAGS=\\\"-Werror $$CFLAGS\\\" CXXFLAGS=\\\"$$CXXFLAGS\\\"" gtk3.22-installer sdl2-installer ruledit-installer-qt6 qt6-installer

# configure Freeciv

configure-freeciv-common:
	# create build directory
	mkdir -p build-$(WINARCH)-$(GUI)
	# configure
	cd build-$(WINARCH)-$(GUI); ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(CLIENT) --with-followtag="windows" --with-tinycthread --without-readline --disable-sys-lua --enable-fcdb=sqlite3 --with-sqlite3-prefix=/$(ARCHDIR) --enable-fcmp=$(FCMP) --with-cacert-path="./ssl/certs/ca-bundle.crt" $(EXTRA_CONFIG)

configure-freeciv-ruledit-qt5:
	# create build directory
	mkdir -p build-$(WINARCH)-ruledit-qt5
	# configure
	cd build-$(WINARCH)-ruledit-qt5; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --with-qtver=qt5 --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --disable-sys-lua --enable-ruledit --enable-ai-static=stub --with-cacert-path="./ssl/certs/ca-bundle.crt" --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)

configure-freeciv-ruledit-qt6:
	# create build directory
	mkdir -p build-$(WINARCH)-ruledit-qt6
	# configure
	cd build-$(WINARCH)-ruledit-qt6; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --with-qtver=qt6 --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --disable-sys-lua --enable-ruledit --enable-ai-static=stub --with-cacert-path="./ssl/certs/ca-bundle.crt" --with-qt6-includes=/$(ARCHDIR)/include/qt6 --with-qt6-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)

# install Freeciv

install-freeciv-common: clean-install-common configure-freeciv-common
	# make .gmo and langstat files. For the former, this needs to be before 'make install'
	make -C build-$(WINARCH)-$(GUI)/translations/core update-po
	make -C build-$(WINARCH)-$(GUI)/bootstrap langstat_core.txt
	# Restore .po files modified by the above update-po, so that repository does not
	# appear modified, in case of --enable-gitrev
	./cleanup_checkout.sh ../..
	# make install
	make -C build-$(WINARCH)-$(GUI) DESTDIR=`pwd`/install-$(WINARCH)-$(GUI) $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/bin/* install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/etc install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/freeciv install-$(WINARCH)-$(GUI)/data
	mkdir -p install-$(WINARCH)-$(GUI)/share
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/locale install-$(WINARCH)-$(GUI)/share/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/doc install-$(WINARCH)-$(GUI)/doc
	mkdir -p install-$(WINARCH)-$(GUI)/debuginfo
	cp build-$(WINARCH)-$(GUI)/gen_headers/fc_config.h install-$(WINARCH)-$(GUI)/debuginfo
	mkdir -p install-$(WINARCH)-$(GUI)/doc/freeciv/installer
	cat licenses/header.txt ../../COPYING > install-$(WINARCH)-$(GUI)/doc/freeciv/installer/COPYING.installer
	# delete unneeded files
	rm -r install-$(WINARCH)-$(GUI)/$(INSTSUB)
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(WINARCH)-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(CLIENT).cmd Freeciv.url install-$(WINARCH)-$(GUI)/

install-freeciv-gtk3.22: install-freeciv-common

install-freeciv-gtk4: install-freeciv-common

install-freeciv-sdl2: install-freeciv-common

install-freeciv-qt5: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(WINARCH)-$(GUI)/

install-freeciv-qt6: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(WINARCH)-$(GUI)/

install-ruledit-dir-qt5:
	mkdir -p install-$(WINARCH)-ruledit-qt5/share

install-ruledit-dir-qt6:
	mkdir -p install-$(WINARCH)-ruledit-qt6/share

install-ruledit-qt5: configure-freeciv-ruledit-qt5 install-ruledit-dir-qt5
	# make .gmo and langstat files. For the former, this needs to be before 'make install'
	make -C build-$(WINARCH)-ruledit-qt5/translations/ruledit update-po
	make -C build-$(WINARCH)-ruledit-qt5/bootstrap langstat_ruledit.txt
	# Restore .po files modified by the above update-po, so that repository does not
	# appear modified, in case of --enable-gitrev
	./cleanup_checkout.sh ../..
	# make install
	make -C build-$(WINARCH)-ruledit-qt5 DESTDIR=`pwd`/install-$(WINARCH)-ruledit-qt5/ $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-ruledit-qt5/$(INSTSUB)/bin/* install-$(WINARCH)-ruledit-qt5/
	mv install-$(WINARCH)-ruledit-qt5/$(INSTSUB)/share/freeciv install-$(WINARCH)-ruledit-qt5/data
	mv install-$(WINARCH)-ruledit-qt5/$(INSTSUB)/share/locale install-$(WINARCH)-ruledit-qt5/share/
	mv install-$(WINARCH)-ruledit-qt5/$(INSTSUB)/share/doc install-$(WINARCH)-ruledit-qt5/doc
	mkdir -p install-$(WINARCH)-ruledit-qt5/debuginfo
	cp build-$(WINARCH)-ruledit-qt5/gen_headers/fc_config.h install-$(WINARCH)-ruledit-qt5/debuginfo
	mkdir -p install-$(WINARCH)-ruledit-qt5/doc/freeciv/installer
	cat licenses/header.txt ../../COPYING > install-$(WINARCH)-ruledit-qt5/doc/freeciv/installer/COPYING.installer
	# delete unneeded files
	rm -r install-$(WINARCH)-ruledit-qt5/$(INSTSUB)
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-ruledit-qt5/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-$(WINARCH)-ruledit-qt5/

install-ruledit-qt6: configure-freeciv-ruledit-qt6 install-ruledit-dir-qt6
	# make .gmo and langstat files. For the former, this needs to be before 'make install'
	make -C build-$(WINARCH)-ruledit-qt6/translations/ruledit update-po
	make -C build-$(WINARCH)-ruledit-qt6/bootstrap langstat_ruledit.txt
	# Restore .po files modified by the above update-po, so that repository does not
	# appear modified, in case of --enable-gitrev
	./cleanup_checkout.sh ../..
	# make install
	make -C build-$(WINARCH)-ruledit-qt6 DESTDIR=`pwd`/install-$(WINARCH)-ruledit-qt6/ $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-ruledit-qt6/$(INSTSUB)/bin/* install-$(WINARCH)-ruledit-qt6/
	mv install-$(WINARCH)-ruledit-qt6/$(INSTSUB)/share/freeciv install-$(WINARCH)-ruledit-qt6/data
	mv install-$(WINARCH)-ruledit-qt6/$(INSTSUB)/share/locale install-$(WINARCH)-ruledit-qt6/share/
	mv install-$(WINARCH)-ruledit-qt6/$(INSTSUB)/share/doc install-$(WINARCH)-ruledit-qt6/doc
	mkdir -p install-$(WINARCH)-ruledit-qt6/debuginfo
	cp build-$(WINARCH)-ruledit-qt6/gen_headers/fc_config.h install-$(WINARCH)-ruledit-qt6/debuginfo
	mkdir -p install-$(WINARCH)-ruledit-qt6/doc/freeciv/installer
	cat licenses/header.txt ../../COPYING > install-$(WINARCH)-ruledit-qt6/doc/freeciv/installer/COPYING.installer
	# delete unneeded files
	rm -r install-$(WINARCH)-ruledit-qt6/$(INSTSUB)
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-ruledit-qt6/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-$(WINARCH)-ruledit-qt6/

# install Freeciv environment

SOUND_DLLS := \
	SDL2.dll \
	SDL2_mixer.dll \
	libFLAC.dll \
	libfluidsynth-3.dll \
	libmodplug-1.dll \
	libvorbis-0.dll \

=== debian/changelog ===
freeciv (3.1.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Remove tolua build dep that is vendored with changes.

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 14:17:12 +0100

freeciv (3.1.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove patch applied upstream.
  * B-D on libzstd-dev, as upstream gained zstd support.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Jan 2025 17:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libsdl2-mixer-dev,
  libsdl2-gfx-dev,
  libsqlite3-dev,
- libtolua-dev,
+ libzstd-dev,
  qt6-base-dev,
  qt6-base-dev-tools,
  zlib1g-dev

## freeciv 3.2.0+ds

=== meson_options.txt ===
--- 
+++ 
@@ -1,18 +1,13 @@
-option('ack_experimental',
-       type: 'boolean',
-       value: false,
-       description: 'User acknowledges experimental build')
-
 option('clients',
        type: 'array',
-       choices: ['gtk3.22','sdl2', 'qt', 'gtk4'],
-       value: ['gtk3.22'],
+       choices: ['gtk3.22','sdl2', 'qt', 'gtk4', 'stub', 'sdl3'],
+       value: ['gtk4'],
        description: 'Clients to build')
 
 option('fcmp',
        type: 'array',
        choices: ['gtk3','qt','cli','gtk4'],
-       value: ['gtk3'],
+       value: ['gtk4'],
        description: 'Modpack installer UIs to build')
 
 option('cacert-path',
@@ -51,14 +46,16 @@
        description: 'Enable readline functionality')
 
 option('audio',
-       type: 'boolean',
-       value: true,
-       description: 'Build in sound support')
+       type: 'combo',
+       choices: ['none', 'sdl2', 'sdl3'],
+       value: 'sdl2',
+       description: 'Sound support type to build')
 
-option('ruledit',
-       type: 'boolean',
-       value: false,
-       description: 'Build ruleset editor')
+option('tools',
+       type: 'array',
+       choices: ['ruledit', 'manual', 'ruleup'],
+       value: ['ruledit', 'manual', 'ruleup'],
+       description: 'Extra tools to build')
 
 option('nls',
        type: 'boolean',
@@ -81,18 +78,38 @@
        value: false,
        description: 'Make a build suitable for AppImage packaging')
 
+option('gen-packets-args',
+       type: 'array',
+       value: [],
+       description: 'Additional arguments for the packet generator')
+
 option('qtver',
        type: 'combo',
        choices: ['qt5', 'qt6'],
        value: 'qt6',
        description: 'Whether to build Qt5 or Qt6 versions of the binaries')
 
+option('project-definition',
+       type: 'string',
+       value: '',
+       description: 'File with project definition')
+
 option('min-win-ver',
        type: 'string',
        value: '',
        description: 'Minimum Windows version to support')
 
+option('svgflags',
+       type: 'boolean',
+       value: true,
+       description: 'svg flags features enabled on build level')
+
 option('localeprefix',
        type: 'string',
        value: '',
        description: 'Localedir prefix to use instead of regular prefix')
+
+option('python',
+       type: 'string',
+       value: 'python3',
+       description: 'Python interpreter to use')

=== debian/changelog ===
freeciv (3.2.0+ds-1) unstable; urgency=medium

  * New upstream version 3.2.0+ds (Closes: #1096649)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 16:29:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  Clint Adams <clint@debian.org>,
  Markus Koschany <apo@debian.org>,
  Tobias Frost <tobi@debian.org>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
 Vcs-Browser: https://salsa.debian.org/games-team/freeciv

## freeciv 3.2.1+ds

=== debian/changelog ===
freeciv (3.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright years.

 -- Tobias Frost <tobi@debian.org>  Fri, 07 Nov 2025 22:30:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 		--datadir=\$${prefix}/share/games \
 		--bindir=\$${prefix}/games \
 		--enable-debug=no \
-		--enable-client=gtk3.22,sdl2,qt \
+		--enable-client=gtk3.22,sdl2,qt,gtk4 \
 		--enable-fcmp=gtk3 \
 		--disable-silent-rules \
 		--enable-fcdb=sqlite3 \

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a|graphics-materials)[\-\.]?\d*)$/$1~$2/,\
 dversionmangle=auto, repacksuffix=+ds" \
 https://files.freeciv.org/stable/freeciv-(\d.*)\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## freeciv 3.2.2+ds

=== debian/changelog ===
freeciv (3.2.2+ds-1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild for TUXEDO.

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Tue, 27 Jan 2026 15:13:58 +0100

freeciv (3.2.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Tobias Frost <tobi@debian.org>  Sat, 10 Jan 2026 17:31:00 +0100

freeciv (3.2.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix font path for sdl2 client. (Closes: #1124437)

 -- Tobias Frost <tobi@debian.org>  Sat, 10 Jan 2026 17:06:32 +0100
